from brewing import potion_class
from brewing import containers
from brewing import cooking
from brewing import inspection
from brewing import ingredients

def make_example_potion(student_name="ASPP student"):
    """Make and return an example potion."""
    my_potion = potion_class.Potion(student_name=student_name)
    # Set up your old kettle and light an eternal flame underneath it.
    my_potion.setup(container=containers.OLD_KETTLE, heat_source=cooking.ETERNAL_FLAME)
    # Simmer for 5 hours.
    cooking.simmer(my_potion, duration=5)
    print(f"You successfully ran make_example_potion, {student_name}, well done :).")
    return my_potion


def make_python_expert_potion(student_name):
    print("I am a Python Expert")
    python_expert = potion_class.Potion(student_name=student_name)
#    1. Set up a pewter cauldron and light a fire underneath it
    python_expert.setup(container=containers.PEWTER_CAULDRON, heat_source=cooking.BREATHE_ON_CAULDRON)
# 2. Add fish eyes, unicorn hair and tea leaves
    python_expert.add_ingredients(ingredients=[ingredients.FISH_EYES, ingredients.UNICORN_HAIR, ingredients.TEA_LEAVES])
# 3. Let simmer for 2 hours
    cooking.simmer(python_expert, duration=2)
    return python_expert


if __name__ == "__main__":
    my_name = 'ASPP student'
    my_potion = make_python_expert_potion(student_name=my_name)
    # Let Snoope inspect the potion
    inspection.inspection_by_snoope(potion=my_potion, target_potion='python_expert')
